Index: /orxonox/trunk/src/lib/physics/physics_connection.cc
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_connection.cc	(revision 4479)
+++ /orxonox/trunk/src/lib/physics/physics_connection.cc	(revision 4480)
@@ -26,4 +26,7 @@
 using namespace std;
 
+/**
+   \brief creates a PhysicsConnection
+*/
 PhysicsConnection::PhysicsConnection(PhysicsInterface* subject, Field* field)
 {
@@ -47,5 +50,4 @@
 /** 
     \brief applies the Force to some Object.
-    \param dt The time to apply in Seconds
 */
 void PhysicsConnection::apply(void) const
Index: /orxonox/trunk/src/lib/physics/physics_connection.h
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_connection.h	(revision 4479)
+++ /orxonox/trunk/src/lib/physics/physics_connection.h	(revision 4480)
@@ -26,5 +26,5 @@
  public:
   PhysicsConnection(PhysicsInterface* subject, Field* field);
-  PhysicsConnection(PhysicsInterface* partnerOne, PhysicsInterface* partnerTwo);
+  //  PhysicsConnection(PhysicsInterface* partnerOne, PhysicsInterface* partnerTwo);
 
   virtual ~PhysicsConnection();
Index: /orxonox/trunk/src/lib/physics/physics_interface.cc
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_interface.cc	(revision 4479)
+++ /orxonox/trunk/src/lib/physics/physics_interface.cc	(revision 4480)
@@ -48,5 +48,4 @@
 }
 
-
 /**
    \brief standard deconstructor
@@ -66,30 +65,33 @@
 {
   /*
-  PNode* massCalcPNode = dynamic_cast<PNode*>(this);  //! \todo not sure if this will work ....
-  float massSum = 0;
-  
-  tIterator<PNode>* iterator = massCalcPNode->children->getIterator();
-  PNode* pn = iterator->nextElement();
-  while( pn != NULL) 
+    PNode* massCalcPNode = dynamic_cast<PNode*>(this);  //! \todo not sure if this will work ....
+    float massSum = 0;
+    
+    tIterator<PNode>* iterator = massCalcPNode->children->getIterator();
+    PNode* pn = iterator->nextElement();
+    while( pn != NULL) 
     { 
-      // todo: find out if children are PhysicsInterface in an efficient way
-      if (strcmp( pn->getClassName(), "PhysicsInterface")) {
-	massSum += ((PhysicsInterface*)pn)->getTotalMass();
-      }
-      pn = iterator->nextElement();
+    // todo: find out if children are PhysicsInterface in an efficient way
+    if (strcmp( pn->getClassName(), "PhysicsInterface")) {
+    massSum += ((PhysicsInterface*)pn)->getTotalMass();
     }
-  delete iterator;
-	
-  if (massSum != this->massChildren ) {
+    pn = iterator->nextElement();
+    }
+    delete iterator;
+    
+    if (massSum != this->massChildren ) {
     this->massChildren = massSum;
     if (strcmp( massCalcPNode->parent->getClassName(), "PhysicsInterface"))
-      ((PhysicsInterface*)massCalcPNode->parent)->recalcMass();
-  } else {
+    ((PhysicsInterface*)massCalcPNode->parent)->recalcMass();
+    } else {
     this->massChildren = massSum;
-  }
+    }
   */
 }
 	
-	
+/**
+   \brief applyes a field to this Object
+   \param field the field to apply
+*/
 void PhysicsInterface::applyField(Field* field)
 {
@@ -98,5 +100,8 @@
 }
 
-
+/**
+   \brief ticks the PhysicsEffect
+   \param dt: the value about which to tick
+*/
 void PhysicsInterface::tickPhys( float dt )
 {
Index: /orxonox/trunk/src/lib/physics/physics_interface.h
===================================================================
--- /orxonox/trunk/src/lib/physics/physics_interface.h	(revision 4479)
+++ /orxonox/trunk/src/lib/physics/physics_interface.h	(revision 4480)
@@ -11,5 +11,5 @@
 
 #ifndef NULL
-#define NULL 0
+#define NULL 0          //!< NULL
 #endif
 
@@ -47,9 +47,9 @@
   
  private:
-  void* objectPointer;
-  float mass;			//!< Mass of this object
-  float massChildren;		//!< Sum of the masses of the children nodes
-  Vector forceSum;		//!< Total central force for this tick
-  Quaternion momentumSum;	//!< Total momentum in this tick
+  void*          objectPointer;         //!< A Pointer to the object we handel (actually should be this)
+  float          mass;			//!< Mass of this object
+  float          massChildren;		//!< Sum of the masses of the children nodes
+  Vector         forceSum;		//!< Total central force for this tick
+  Quaternion     momentumSum;	        //!< Total momentum in this tick
 	
 