Index: orxonox/trunk/src/util/animation/animation.h
===================================================================
--- orxonox/trunk/src/util/animation/animation.h	(revision 4468)
+++ orxonox/trunk/src/util/animation/animation.h	(revision 4485)
@@ -80,14 +80,13 @@
   //! A virtual function that should change to the first keyframe.
   virtual void rewind() = 0;
+
   /** \brief A virtual function that ticks the animation \param dt the time passed */
   virtual void tick(float dt) = 0;
 
-  /**
-     \returns the BaseObject, this animation operates on
-  */
-  BaseObject* getBaseObject(void) const {return baseObject;}
+  /** \returns the BaseObject, this animation operates on */
+  BaseObject* getBaseObject(void) const { return this->baseObject; };
 
   /** \returns if the Animation should be deleted */
-  inline bool ifDelete(void) {return bDelete;}
+  inline bool ifDelete(void) { return bDelete; };
 
  protected:
@@ -95,27 +94,32 @@
 
   void handleInfinity(void);
+
+ protected:
   // variables
-  float localTime;                //!< The Time passed since the beginning of the currentKeyFrame.
-  ANIM_INFINITY postInfinity;     //!< describing what the animation should do after the last keyframe.
+  float                 localTime;              //!< The Time passed since the beginning of the currentKeyFrame.
+  ANIM_INFINITY         postInfinity;           //!< describing what the animation should do after the last keyframe.
 
-  BaseObject* baseObject;         //!< The same as object in the derived classes, but with reference to BaseObject
-  unsigned int keyFrameCount;     //!< The Count of KeyFrames.
-  int keyFramesToPlay;            //!< How many more Keyframes to play. if negative it will be ignored if 0 stop.
-  bool bHandled;                  //!< If this Animation is handled by the AnimationPlayer.
-  bool bRunning;                  //!< If the animation is running
-  bool bDelete;                   //!< If true, the animation will be deleted through the AnimationPlayer.
+  BaseObject*           baseObject;             //!< The same as object in the derived classes, but with reference to BaseObject
+  unsigned int          keyFrameCount;          //!< The Count of KeyFrames.
+  int                   keyFramesToPlay;        //!< How many more Keyframes to play. if negative it will be ignored if 0 stop.
+  bool                  bHandled;               //!< If this Animation is handled by the AnimationPlayer.
+  bool                  bRunning;               //!< If the animation is running
+  bool                  bDelete;                //!< If true, the animation will be deleted through the AnimationPlayer.
 };
 
 
+
+
 /**********************TEST*******************************/
+//! a simple testClass for the animation
 class aTest
 {
  public:
-  aTest() { last = 0.0;}
-  ~aTest() {}
-  void littleDebug(float f) {  diff = f - last; printf("f=%f, diff=%f\n", f,diff); last = f;}
+  inline aTest() { last = 0.0;}
+  /** \brief a little debug information to show the results of this class \param f new value */
+  inline void littleDebug(float f) {  diff = f - last; printf("f=%f, diff=%f\n", f,diff); last = f;}
  private:
-  float diff;
-  float last;
+  float     diff;           //!< difference from the last value
+  float     last;           //!< the last calculated value
 };
 
Index: orxonox/trunk/src/util/animation/animation3d.cc
===================================================================
--- orxonox/trunk/src/util/animation/animation3d.cc	(revision 4468)
+++ orxonox/trunk/src/util/animation/animation3d.cc	(revision 4485)
@@ -86,7 +86,8 @@
    \param duration The duration from the new KeyFrame to the next one
    \param animFuncMov The function to animate position between this keyFrame and the next one
-   \param animFuncMov The function to animate rotation between this keyFrame and the next one
-*/
-void Animation3D::addKeyFrame(Vector position, Quaternion direction, float duration, ANIM_FUNCTION animFuncMov, ANIM_FUNCTION animFuncRot)
+   \param animFuncRot The function to animate rotation between this keyFrame and the next one
+*/
+void Animation3D::addKeyFrame(Vector position, Quaternion direction, float duration,
+			      ANIM_FUNCTION animFuncMov, ANIM_FUNCTION animFuncRot)
 {
   // some small check
@@ -167,5 +168,5 @@
 /**
    \brief Sets The kind of movment Animation between this keyframe and the next one
-   \param animFunc The Type of Animation to set
+   \param animFuncMov: The Type of Animation to set
 */
 void Animation3D::setAnimFuncMov(ANIM_FUNCTION animFuncMov)
@@ -213,6 +214,4 @@
     }
 }
-
-
 
 /**
@@ -348,5 +347,5 @@
 /**
    \brief Sets The kind of rotation Animation between this keyframe and the next one
-   \param animFunc The Type of Animation to set
+   \param animFuncRot: The Type of Animation to set
 */
 void Animation3D::setAnimFuncRot(ANIM_FUNCTION animFuncRot)
Index: orxonox/trunk/src/util/animation/animation3d.h
===================================================================
--- orxonox/trunk/src/util/animation/animation3d.h	(revision 4468)
+++ orxonox/trunk/src/util/animation/animation3d.h	(revision 4485)
@@ -16,13 +16,13 @@
 */
 typedef struct KeyFrame3D {
-  float duration;                   //!< The duration of this KeyFrame
-  Vector position;                  //!< The position of this KeyFrame
-  Vector lastPosition;
-  Quaternion direction;             //!< The direction of this KeyFrame
-  ANIM_FUNCTION animFuncMov;        //!< with whitch function to iterate movement to the next KeyFrame3D
-  ANIM_FUNCTION animFuncRot;        //!< with whitch function to iterate rotation to the next KeyFrame3D
+  float             duration;              //!< The duration of this KeyFrame
+  Vector            position;              //!< The position of this KeyFrame
+  Vector            lastPosition;          //!< The last known position
+  Quaternion        direction;             //!< The direction of this KeyFrame
+  ANIM_FUNCTION     animFuncMov;           //!< with whitch function to iterate movement to the next KeyFrame3D
+  ANIM_FUNCTION     animFuncRot;           //!< with whitch function to iterate rotation to the next KeyFrame3D
 };
 
-//! Animation Struct
+//! Animation Class for 3D-transformations (movement and rotation)
 /**
    This represents an animation for a object
@@ -65,14 +65,17 @@
   void (Animation3D::*animFuncRot)(float) const;      //!< A Function for the AnimationType
 
-  KeyFrame3D* currentKeyFrame;                     //!< The current KeyFrame
-  KeyFrame3D* nextKeyFrame;                        //!< The KeyFrame we iterate to
-  tList<KeyFrame3D>* keyFrameList;                 //!< The KeyFrameList
+
+ private:
+  KeyFrame3D*          currentKeyFrame;               //!< The current KeyFrame
+  KeyFrame3D*          nextKeyFrame;                  //!< The KeyFrame we iterate to
+  tList<KeyFrame3D>*   keyFrameList;                  //!< The KeyFrameList
+
 
   // more class-local description
-  PNode* object;                                   //!< The Object from which to Animate something
-  Vector lastPosition;   //!< ??
-  Vector tmpVect;        //!< what for??
-  float deltaT;          //!< ??
-  float expFactorMov;
-  float expFactorRot;
+  PNode*               object;                        //!< The Object from which to Animate something
+  Vector               lastPosition;                  //!< last Object
+  Vector               tmpVect;                       //!< temporary vector
+  float                deltaT;                        //!< time passed since last
+  float                expFactorMov;                  //!< exponential Factor for movement
+  float                expFactorRot;                  //!< exponential Factor for rotation
 };
Index: orxonox/trunk/src/util/animation/animation_player.cc
===================================================================
--- orxonox/trunk/src/util/animation/animation_player.cc	(revision 4468)
+++ orxonox/trunk/src/util/animation/animation_player.cc	(revision 4485)
@@ -38,14 +38,4 @@
 */
 AnimationPlayer* AnimationPlayer::singletonRef = NULL;
-
-/**
-   \returns a Pointer to this Class
-*/
-AnimationPlayer* AnimationPlayer::getInstance(void)
-{
-  if (!AnimationPlayer::singletonRef)
-    AnimationPlayer::singletonRef = new AnimationPlayer();
-  return AnimationPlayer::singletonRef;
-}
 
 /**
@@ -148,6 +138,10 @@
 }
 
-
-Animation* AnimationPlayer::getObjectFromBaseObject(const BaseObject* baseObject) const
+/**
+   \returns the animation from a certain baseobject
+   if multiple are found, it just retruns the first one
+   if none is found it returns NULL
+*/
+Animation* AnimationPlayer::getAnimationFromBaseObject(const BaseObject* baseObject) const
 {
   tIterator<Animation>* animIt = this->animationList->getIterator();
@@ -163,5 +157,5 @@
     }
   delete animIt;
-
+  return NULL;
 }
 
Index: orxonox/trunk/src/util/animation/animation_player.h
===================================================================
--- orxonox/trunk/src/util/animation/animation_player.h	(revision 4468)
+++ orxonox/trunk/src/util/animation/animation_player.h	(revision 4485)
@@ -29,5 +29,7 @@
 
  public:
-  static AnimationPlayer* getInstance(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static AnimationPlayer* getInstance(void) { if (!singletonRef) singletonRef = new AnimationPlayer();  return singletonRef; };
+
   virtual ~AnimationPlayer(void);
 
@@ -42,5 +44,5 @@
   void pause(void);
 
-  Animation* getObjectFromBaseObject(const BaseObject* baseObject) const;
+  Animation* getAnimationFromBaseObject(const BaseObject* baseObject) const;
 
   void debug(void);
@@ -49,9 +51,9 @@
   /* singleton */
   AnimationPlayer(void);
-  static AnimationPlayer* singletonRef;
+  static AnimationPlayer*      singletonRef;          //!< SingletonReference to this class.
 
   /* class specific */
-  tList<Animation>* animationList;         //!< A List of Animations to be handled.
-  bool bRunning;                           //!< If the AnimationPlayer is running.
+  tList<Animation>*            animationList;         //!< A List of Animations to be handled.
+  bool                         bRunning;              //!< If the AnimationPlayer is running.
 };
 
Index: orxonox/trunk/src/util/garbage_collector.cc
===================================================================
--- orxonox/trunk/src/util/garbage_collector.cc	(revision 4468)
+++ orxonox/trunk/src/util/garbage_collector.cc	(revision 4485)
@@ -1,4 +1,2 @@
-
-
 /* 
    orxonox - the future of 3D-vertical-scrollers
@@ -34,5 +32,4 @@
 /**
    \brief standard constructor
-   \todo this constructor is not jet implemented - do it
 */
 GarbageCollector::GarbageCollector () 
@@ -46,5 +43,4 @@
 /**
    \brief standard deconstructor
-
 */
 GarbageCollector::~GarbageCollector () 
@@ -68,5 +64,5 @@
 /**
    \brief this sets the collection delay
-   \param delay
+   \param delay: the delay
    
    after this delay, the garbage collector starts its work and begins to collect unused object
@@ -97,5 +93,5 @@
 /**
    \brief this ticks the GarbageCollector to give it the time pulse
-   \param the time passed since last tick
+   \param time: the time passed since last tick
 
    like every other tick function eg. worldentity
@@ -109,6 +105,4 @@
 /**
    \brief this updated the gargabe collection, if the time is ready
-
-
 */
 void GarbageCollector::update()
Index: orxonox/trunk/src/util/garbage_collector.h
===================================================================
--- orxonox/trunk/src/util/garbage_collector.h	(revision 4468)
+++ orxonox/trunk/src/util/garbage_collector.h	(revision 4485)
@@ -1,4 +1,4 @@
 /*! 
-    \file proto_class.h
+    \file garbage_collector.h
     \brief Definition of the proto class template, used quickly start work
     \todo Example: this shows how to use simply add a Marker that here has to be done something.
@@ -34,7 +34,7 @@
 
  private:
-  static GarbageCollector* singletonRef;
-  float delay;                                        //!< this is the delay to wait until collection
-  float time;                                         //!< the current time
+  static GarbageCollector*    singletonRef;           //!< The reference to this class (singleton)
+  float                       delay;                  //!< this is the delay to wait until collection
+  float                       time;                   //!< the current time
 
 };
Index: orxonox/trunk/src/util/object_manager.cc
===================================================================
--- orxonox/trunk/src/util/object_manager.cc	(revision 4468)
+++ orxonox/trunk/src/util/object_manager.cc	(revision 4485)
@@ -58,5 +58,4 @@
 /**
    \brief standard deconstructor
-
 */
 ObjectManager::~ObjectManager () 
@@ -65,5 +64,9 @@
 }
 
-
+/**
+   \brief adds an element to the list of dead objects
+   \param index: The type of object to add
+   \param object: pointer to the object at hand
+*/
 void ObjectManager::addToDeadList(int index, BaseObject* object)
 {
@@ -74,5 +77,11 @@
 }
 
+/**
+   \brief resurects an object
+   \param index: the type of resource to load
+   \param number: how many of them
 
+   \todo if it is unable to get an object from the deadList, it should create it
+*/
 BaseObject* ObjectManager::getFromDeadList(int index, int number)
 {
@@ -92,6 +101,8 @@
 }
 
-
-void ObjectManager::debug()
+/**
+   \brief outputs some simple debug information about the ObjectManage
+*/
+void ObjectManager::debug(void) const
 {
   PRINT(0)("\n==========================| ObjectManager::debug() |===\n");
Index: orxonox/trunk/src/util/object_manager.h
===================================================================
--- orxonox/trunk/src/util/object_manager.h	(revision 4468)
+++ orxonox/trunk/src/util/object_manager.h	(revision 4485)
@@ -31,5 +31,5 @@
 
 
-//! This defines the "template" makro function for cache(...)
+//! This defines the "template" macro function for cache(...)
 #define mCache( Class ) \
  cache(classList index, int number, Class * copyObject)        \
@@ -51,17 +51,19 @@
   virtual ~ObjectManager(void);
   
+  /** a class handled by the objectManage */
   void mCache(Projectile);
   void addToDeadList(int index, BaseObject* object);
   BaseObject* getFromDeadList(int index, int number = 1);
 
-  void debug();
+  void debug(void) const;
 
  private:
   ObjectManager(void);
 
-  static ObjectManager* singletonRef;
+ private:
+  static ObjectManager*      singletonRef;          //!< The singleton reference to the only reference of this class
 
-  tList<BaseObject>** managedObjectList;
-  GarbageCollector* garbageCollector;
+  tList<BaseObject>**        managedObjectList;     //!< A list of managed objects (handles different types and lists of them)
+  GarbageCollector*          garbageCollector;      //!< reference to the GrabageCollector
 };
 
Index: orxonox/trunk/src/util/state.cc
===================================================================
--- orxonox/trunk/src/util/state.cc	(revision 4468)
+++ orxonox/trunk/src/util/state.cc	(revision 4485)
@@ -42,16 +42,5 @@
 
 /**
-   \returns a Pointer to this Class
-*/
-State* State::getInstance(void)
-{
-  if (!State::singletonRef)
-    State::singletonRef = new State();
-  return State::singletonRef;
-}
-
-/**
    \brief standard deconstructor
-
 */
 State::~State () 
@@ -62,5 +51,5 @@
 
 /**
-   \sets camera and target of the current Camera
+   \brief sets camera and target of the current Camera
 */
 void State::setCamera(const PNode* camera, const PNode* cameraTarget)
Index: orxonox/trunk/src/util/state.h
===================================================================
--- orxonox/trunk/src/util/state.h	(revision 4468)
+++ orxonox/trunk/src/util/state.h	(revision 4485)
@@ -1,6 +1,5 @@
 /*! 
-    \file proto_singleton.h
+    \file state.h
     \brief Definition of the States-singleton Class
-    
 */
 
@@ -17,17 +16,21 @@
 
  public:
-  static State* getInstance(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static State* getInstance(void) { if (!singletonRef) singletonRef = new State();  return singletonRef; };
+
   virtual ~State(void);
 
   void setCamera(const PNode* camera, const PNode* cameraTarget);
+  /** \returns a Pointer to the PNode of the Camera */
   const PNode* getCamera(void) const { return this->camera; };
+  /** \returns a Pointer to the CameraTarget */
   const PNode* getCameraTarget(void) const { return this->cameraTarget; };
 
  private:
   State(void);
-  static State* singletonRef;
+  static State*       singletonRef;       //!< a reference to this class
 
-  const PNode* camera;
-  const PNode* cameraTarget;
+  const PNode*        camera;             //!< A reference to the camera
+  const PNode*        cameraTarget;       //!< a reference to the cameraTarget
 };
 