Index: data/trunk/levels/sp_level_spacestation1B.oxw
===================================================================
--- data/trunk/levels/sp_level_spacestation1B.oxw	(revision 4464)
+++ data/trunk/levels/sp_level_spacestation1B.oxw	(revision 4490)
@@ -5,16 +5,436 @@
 
     <BspEntity>
-      <Name>levels/maps/spacestation1/spacestation1_hangar_028.bsp</Name>
+      <Name>levels/maps/spacestation1/spacestation1_hangar_030.bsp</Name>
     </BspEntity>
-<!--
+
     <FPSPlayer>
       <name>Player</name>
       <abs-coor>4480,20,-4320</abs-coor>
-      <model>models/planets/uranus.obj, 10</model>
-      <md2texture>droidika.png</md2texture>
     </FPSPlayer>
--->
+
+    <Rotor>
+       <name>rotor1</name>
+       <model>models/decoration/rotor1.obj, 12</model>
+       <abs-coor>5152,240,-4688</abs-coor>
+       <abs-dir>-1.57, 0, 1, 0</abs-dir>
+       <rotation>0,0,8</rotation>
+    </Rotor>
+
+    <Rotor>
+       <name>rotor2</name>
+       <model>models/decoration/rotor1.obj, 12</model>
+       <abs-coor>5152,240,-4272</abs-coor>
+       <abs-dir>-1.57, 0, 1, 0</abs-dir>
+       <rotation>0,0,8</rotation>
+    </Rotor>
+
+   <SpriteParticles>
+     <name>Steam at Entrance</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>150</max-count>
+     <life-span>14, 2</life-span>
+     <radius>0.0, 100.0, 100.0</radius>
+     <radius>0.2, 100.0, 100</radius>
+     <radius>1.0, 100.0, 100</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>5</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>4480, -300, -3800</rel-coor>
+        <rel-dir>3.1412, 0, 0, 1</rel-dir>
+        <spread>0, 1.0</spread>
+        <emission-velocity>-50,50</emission-velocity>
+        <size>100, 100</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Hangar (small)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>350</max-count>
+     <life-span>28, 2</life-span>
+     <radius>0.0, 100.0, 100.0</radius>
+     <radius>0.2, 100.0, 100</radius>
+     <radius>1.0, 100.0, 100</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>25</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>4224, -768, -4224</rel-coor>
+        <rel-dir>3.1412, 0, 0, 1</rel-dir>
+        <spread>0, 0.4</spread>
+        <emission-velocity>-70,50</emission-velocity>
+        <size>50, 50</size>
+        <rate>12</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Hangar (small)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>350</max-count>
+     <life-span>28, 2</life-span>
+     <radius>0.0, 100.0, 100.0</radius>
+     <radius>0.2, 100.0, 100</radius>
+     <radius>1.0, 100.0, 100</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>25</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>4224, -768, -4736</rel-coor>
+        <rel-dir>3.1412, 0, 0, 1</rel-dir>
+        <spread>0, 0.4</spread>
+        <emission-velocity>-70,50</emission-velocity>
+        <size>50, 50</size>
+        <rate>12</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Hangar (big)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>500</max-count>
+     <life-span>28, 2</life-span>
+     <radius>0.0, 100.0, 100.0</radius>
+     <radius>0.2, 100.0, 100</radius>
+     <radius>1.0, 100.0, 100</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>25</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>4868, -768, -4224</rel-coor>
+        <rel-dir>3.1412, 0, 0, 1</rel-dir>
+        <spread>0, 0.5</spread>
+        <emission-velocity>-70,50</emission-velocity>
+        <size>100, 50</size>
+        <rate>16</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Hangar (big)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>500</max-count>
+     <life-span>28, 2</life-span>
+     <radius>0.0, 100.0, 100.0</radius>
+     <radius>0.2, 100.0, 100</radius>
+     <radius>1.0, 100.0, 100</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>25</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>4864, -768, -4736</rel-coor>
+        <rel-dir>3.1412, 0, 0, 1</rel-dir>
+        <spread>0, 0.5</spread>
+        <emission-velocity>-70,50</emission-velocity>
+        <size>100, 50</size>
+        <rate>16</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Shop (top)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>150</max-count>
+     <life-span>14, 2</life-span>
+     <radius>0.0, 100.0, 100.0</radius>
+     <radius>0.2, 100.0, 100</radius>
+     <radius>1.0, 100.0, 100</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>5</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>3456, 700, -4480</rel-coor>
+        <rel-dir>3.1412, 0, 0, 1</rel-dir>
+        <spread>0.0, 0.5</spread>
+        <emission-velocity>50,50</emission-velocity>
+        <size>50, 50</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Shop (top)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>150</max-count>
+     <life-span>14, 2</life-span>
+     <radius>0.0, 100.0, 100.0</radius>
+     <radius>0.2, 100.0, 100</radius>
+     <radius>1.0, 100.0, 100</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>5</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>3456, 700, -4096</rel-coor>
+        <rel-dir>3.1412, 0, 0, 1</rel-dir>
+        <spread>0.0, 0.5</spread>
+        <emission-velocity>50,50</emission-velocity>
+        <size>50, 50</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Shop (top)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>150</max-count>
+     <life-span>14, 2</life-span>
+     <radius>0.0, 100.0, 100.0</radius>
+     <radius>0.2, 100.0, 100</radius>
+     <radius>1.0, 100.0, 100</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>5</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>3456, 700, -4864</rel-coor>
+        <rel-dir>3.1412, 0, 0, 1</rel-dir>
+        <spread>0.0, 0.5</spread>
+        <emission-velocity>50,50</emission-velocity>
+        <size>50, 50</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Shop (top)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>150</max-count>
+     <life-span>14, 2</life-span>
+     <radius>0.0, 100.0, 100.0</radius>
+     <radius>0.2, 100.0, 100</radius>
+     <radius>1.0, 100.0, 100</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>5</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>3072, 700, -4480</rel-coor>
+        <rel-dir>3.1412, 0, 0, 1</rel-dir>
+        <spread>0.0, 0.5</spread>
+        <emission-velocity>50,50</emission-velocity>
+        <size>50, 50</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Shop (fan)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>50</max-count>
+     <life-span>3, 2</life-span>
+     <radius>0.0, 25.0, 25.0</radius>
+     <radius>0.2, 25.0, 25.0</radius>
+     <radius>1.0, 25.0, 25.0</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>2</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>3016, 176, -4512</rel-coor>
+        <rel-dir>-2.356, 0, 0, 1</rel-dir>
+        <spread>0.0, 0.3</spread>
+        <emission-velocity>40, 50</emission-velocity>
+        <size>10, 20</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Shop (fan)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>50</max-count>
+     <life-span>3, 2</life-span>
+     <radius>0.0, 25.0, 25.0</radius>
+     <radius>0.2, 25.0, 25.0</radius>
+     <radius>1.0, 25.0, 25.0</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>2</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>3016, 176, -4448</rel-coor>
+        <rel-dir>-2.356, 0, 0, 1</rel-dir>
+        <spread>0.0, 0.3</spread>
+        <emission-velocity>40, 50</emission-velocity>
+        <size>10, 20</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Shop (fan)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>50</max-count>
+     <life-span>3, 2</life-span>
+     <radius>0.0, 25.0, 25.0</radius>
+     <radius>0.2, 25.0, 25.0</radius>
+     <radius>1.0, 25.0, 25.0</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>2</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>3896, 368, -4640</rel-coor>
+        <rel-dir>2.356, 0, 0, 1</rel-dir>
+        <spread>0.0, 0.3</spread>
+        <emission-velocity>40, 50</emission-velocity>
+        <size>10, 20</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Shop (fan)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>50</max-count>
+     <life-span>3, 2</life-span>
+     <radius>0.0, 25.0, 25.0</radius>
+     <radius>0.2, 25.0, 25.0</radius>
+     <radius>1.0, 25.0, 25.0</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>2</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>3896, 368, -4576</rel-coor>
+        <rel-dir>2.356, 0, 0, 1</rel-dir>
+        <spread>0.0, 0.3</spread>
+        <emission-velocity>40, 50</emission-velocity>
+        <size>10, 20</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Shop (fan)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>50</max-count>
+     <life-span>3, 2</life-span>
+     <radius>0.0, 25.0, 25.0</radius>
+     <radius>0.2, 25.0, 25.0</radius>
+     <radius>1.0, 25.0, 25.0</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>2</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>3896, 368, -4384</rel-coor>
+        <rel-dir>2.356, 0, 0, 1</rel-dir>
+        <spread>0.0, 0.3</spread>
+        <emission-velocity>40, 50</emission-velocity>
+        <size>10, 20</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
+
+   <SpriteParticles>
+     <name>Steam in Shop (fan)</name>
+     <type>sprite</type>
+     <texture>steam01.png</texture>
+     <max-count>50</max-count>
+     <life-span>3, 2</life-span>
+     <radius>0.0, 25.0, 25.0</radius>
+     <radius>0.2, 25.0, 25.0</radius>
+     <radius>1.0, 25.0, 25.0</radius>
+     <mass>1.0, 0.5, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+     <precache>2</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>SteamEmitter</name>
+        <rel-coor>3896, 368, -4320</rel-coor>
+        <rel-dir>2.356, 0, 0, 1</rel-dir>
+        <spread>0.0, 0.3</spread>
+        <emission-velocity>40, 50</emission-velocity>
+        <size>10, 20</size>
+        <rate>10</rate>
+      </PlaneEmitter>
+     </emitters>
+  </SpriteParticles>
 
   </WorldEntities>
+
+  <Music>music/hangar01.ogg</Music>
 
   <LightManager>
@@ -22,5 +442,5 @@
       <Light>
        <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>0,0,0</abs-coor>
+       <abs-coor>4480,240,-4320</abs-coor>
       </Light>
     </Lights>